## com.baidubce.services.bos.model
Class DeleteBucketRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.bos.model.GenericBucketRequest
              com.baidubce.services.bos.model.DeleteBucketRequest

    public class DeleteBucketRequest

extends GenericBucketRequest

Provides options for deleting a specified bucket. Baidu Bos buckets can only be deleted when empty.

Constructor Summary
`DeleteBucketRequest(String bucketName)` Constructs a new DeleteBucketRequest, ready to be executed to delete the specified bucket.

Method Summary
`DeleteBucketRequest` `withBucketName(String bucketName)` Sets the name of the Baidu Bos bucket to delete.
`DeleteBucketRequest` `withRequestCredentials(BceCredentials credentials)`

Methods inherited from class com.baidubce.services.bos.model.GenericBucketRequest
`getBucketName, setBucketName`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteBucketRequest

    public DeleteBucketRequest(String bucketName)

  Constructs a new DeleteBucketRequest, ready to be executed to delete the specified bucket.

  Parameters:
    `bucketName` - The name of the Baidu Bos bucket to delete.

Method Detail

### withRequestCredentials

    public DeleteBucketRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

### withBucketName

    public DeleteBucketRequest withBucketName(String bucketName)

  Sets the name of the Baidu Bos bucket to delete.

  Specified by:
    `withBucketName` in class `GenericBucketRequest`
  Parameters:
    `bucketName` - The name of the Baidu Bos bucket to delete.

Copyright © 2016. All rights reserved.